# This is an example PKGBUILD file. Use this as a start to creating your own,
# and remove these comments. For more information, see 'man PKGBUILD'.
# NOTE: Please fill out the license field for your package! If it is unknown,
# then please put 'unknown'.

# Maintainer: Daniel Bodnar <daniel.bodnar@gmail.com>
_pkgname='bbos'
_pkgorg='gitlab.com/bitbuilder-cloud/bbos'
pkgname=bbos
pkgver=0.0.4
pkgrel=1
pkgdesc='Minimal package set and repository sources for bbOS (BitBuilder OS) for a base installation.'
arch=('any')
url="https://$_pkgorg/${_pkgname}"
#source=("git+https://$_pkgorg/$_pkgname.git")
license=('GPL3')
groups=(bbos)
#md5sums=(SKIP)
#builddir="$startdir/.build/$pkgname-$pkgver"
provides=(bbos)
conflicts=(bbos)
depends=(
  base linux linux-headers linux-firmware amd-ucode intel-ucode efibootmgr dosfstools e2fsprogs
  systemd systemd-resolvconf
  vim zsh openssh sudo mkinitcpio git tmux
  gparted wireguard-tools hwinfo
  rustup go htop iotop reflector
)
optdepends=(
  rustup go htop iotop tmux pacman-contrib
  fd bat the_silver_searcher fd bmon dua-cli
)
#backup=(etc/bbos.conf)
options=()
#BUILDDIR="/tmp/makepkg-${_pkgname}-${pkgver}"
#BUILDDIR="$startdir/.build/$pkgname-$pkgver"
#SRCDEST="$BUILDDIR/.src"
#PKGDEST="$startdir/packages"
#LOGDEST="$BUILDDIR"

#pkgver() {
#    cd "$srcdir/$_pkgname"
#    ( set -o pipefail
#        git describe --tags --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g;s/^v//' ||
#        printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
#    )
#}

build() {
    echo "$env"
    echo "building..."
    cd "$startdir"
}

package() {
    echo "packaging..."
    cd "$startdir"
    cp -rv rootfs/* "$pkgdir/"
    chown -R root:root "$pkgdir/root/"
    chmod -R 700 "$pkgdir/root/"

    chmod -R 750 "$pkgdir/etc/sudoers.d/"
    #install -dm700 rootfs/root "$pkgdir/root/"
    #install -Ddm750 rootfs/etc/sudoers.d/ "$pkgdir/etc/sudoers.d/"

}



#package() {
    #cd "${_pkgname}" || return
#    echo $pwd
#    echo "srcdir: $srcdir"
#}

# install=
# changelog=
# source=("$pkgname-$pkgver.tar.gz"
#         "$pkgname-$pkgver.patch")
# noextract=()
# md5sums=()
# validpgpkeys=()
#
# prepare() {
#   #	cd "$pkgname-$pkgver"
#   # patch -p1 -i "$srcdir/$pkgname-$pkgver.patch"
#   rm -frv ./*/src/ ./*/pkg/
#   rm -fv ./*/*.pkg.tar.xz
#   rm -fv ./*/*.pkg.tar.xz.sig
#   rm -fv ./*/*.pkg.tar.zst
#   rm -fv ./*/*.pkg.tar.zst.sig
#   rm -fv ./*/*.src.tar.gz
#   rm -fv ./*/*.log
# }
#
# build() {
# 	cd "$pkgname-$pkgver"
# 	./configure --prefix=/usr
# 	make
# }
#
# check() {
# 	cd "$pkgname-$pkgver"
# 	make -k check
# }
#
# package() {
# 	cd "$pkgname-$pkgver"
# 	make DESTDIR="$pkgdir/" install
# }
